Name:           jsch-agent-proxy
Version:        0.0.8
Release:        %mkrel 9
Group:          Development/Java
Summary:        Proxy to ssh-agent and Pageant in Java
License:        BSD
URL:            http://www.jcraft.com/jsch-agent-proxy/
BuildArch:      noarch

Source0:        https://github.com/ymnk/jsch-agent-proxy/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(com.trilead:trilead-ssh2)
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(net.java.dev.jna:platform)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

# SSHj is not longer available in Fedora
Obsoletes: %{name}-sshj <= 0.0.8-11

%description
jsch-agent-proxy is a proxy program to OpenSSH ssh-agent and Pageant
included Putty.  It will be easily integrated into JSch, and users
will be allowed to use those programs in authentications.  This
software has been developed for JSch, but it will be easily applicable
to other ssh2 implementations in Java.  This software is licensed
under BSD style license.

%package connector-factory
Summary:        Connector factory for jsch-agent-proxy

%description connector-factory
%{summary}.

%package core
Summary:        jsch-agent-proxy core module

%description core
%{summary}.

%package jsch
Summary:        JSch connector for jsch-agent-proxy

%description jsch
%{summary}.

%package pageant
Summary:        Pageant connector for jsch-agent-proxy

%description pageant
%{summary}.

%package sshagent
Summary:        ssh-agent connector for jsch-agent-proxy

%description sshagent
%{summary}.

%package trilead-ssh2
Summary:        trilead-ssh2 connector for jsch-agent-proxy

%description trilead-ssh2
%{summary}.

%package usocket-jna
Summary:        USocketFactory implementation using JNA

%description usocket-jna
%{summary}.

%package usocket-nc
Summary:        USocketFactory implementation using Netcat

%description usocket-nc
%{summary}.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%prep
%setup -q

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Put parent POM together with core module
%mvn_package :jsch.agentproxy jsch.agentproxy.core

# Unnecessary for RPM builds
%pom_remove_plugin ":maven-javadoc-plugin"
%pom_remove_plugin ":maven-source-plugin"
%pom_xpath_remove pom:build/pom:extensions

# Remove hard-coded compiler configuration
%pom_remove_plugin ":maven-compiler-plugin"

# SSHj not available in Fedora
%pom_disable_module jsch-agent-proxy-sshj

%build
%mvn_build -s -- -Dmaven.compiler.release=8 -Dsource=1.8 -DdetectJavaApiLink=false

%install
%mvn_install

%files core -f .mfiles-jsch.agentproxy.core
%doc README README.md
%license LICENSE.txt

%files connector-factory -f .mfiles-jsch.agentproxy.connector-factory
%files jsch -f .mfiles-jsch.agentproxy.jsch
%files pageant -f .mfiles-jsch.agentproxy.pageant
%files sshagent -f .mfiles-jsch.agentproxy.sshagent
%files trilead-ssh2 -f .mfiles-jsch.agentproxy.svnkit-trilead-ssh2
%files usocket-jna -f .mfiles-jsch.agentproxy.usocket-jna
%files usocket-nc -f .mfiles-jsch.agentproxy.usocket-nc

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.0.8-9.mga9
+ Revision: 1827674
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 0.0.8-8.mga8
+ Revision: 1670031
- Remove unnecessary dependency on parent POM
- Allow building against JDK 11
+ neoclust <neoclust>
- Not used anymore

* Sun Feb 16 2020 umeabot <umeabot> 0.0.8-7.mga8
+ Revision: 1533431
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 0.0.8-6.mga8
+ Revision: 1444374
- Use license macro
- Enable minimal build without extra dependencies
- Drop BRs on unnecessary build plugins

* Tue Sep 18 2018 umeabot <umeabot> 0.0.8-5.mga7
+ Revision: 1262456
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.0.8-3.mga6
+ Revision: 976523
- First rebuild of the java stack
- sync package jsch-agent-proxy with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0.0.7-4.mga5
+ Revision: 807163
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7-3.mga5
+ Revision: 748143
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 0.0.7-1.mga5
+ Revision: 673427
- imported package jsch-agent-proxy

